<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS_ClassWork#7(ES6)</title>
</head>



<body>

<script>

const words = [
    "попугай",
    "черепаха",
    "слон",
    "горилла",
    "леопард",
];
   

let word = words[Math.floor(Math.random() * words.length)];

document.write(`слово: ${word}`);

let answer = new Array(...word);


/*for (i = 0; i <= word.length; i++) {
        answer[i] = "*";
};*/

answer = answer.map(function(letter) {
  return '*';
});

document.write(`<br/> загаданное слово: ${answer.join (" ")}`);

let remainingLtrs = word.length;

document.write(`<br/> нужно угадать: ${remainingLtrs} букв`);

/* while (remainingLtrs > 0) {
    document.write(`<br/> загаданное слово: ${answer.join (" ")}`);

    let guess = prompt(`Угадайте букву, или нажмите Отмена для выхода из игры.`);

 if (guess === null) {
 // Выходим из игрового цикла
 break;
 } else if (guess.length !== 1) {
 document.write(`Пожалуйста, введите одиночную букву.`);
 } else {
 // Обновляем состояние игры
 for (var j = 0; j < word.length; j++) {
 if (word[j] === guess) {
 answer[j] = guess;
 remainingLetters--;

 answer = answer.map(function(letter) {
     return ...word.
  return '*';
  return 
});
 }
 }
 }
 // Конец игрового цикла
 }*/

</script>
    
</body>
</html>